From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/ydiff/
Date: Wed, 18 Mar 2020 00:42:28 +0000 (UTC) [thread overview]
Message-ID: <1584492130.4072fa366a599b2cf3267d0bbcdceb63df1a228e.sping@gentoo> (raw)
commit: 4072fa366a599b2cf3267d0bbcdceb63df1a228e
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 18 00:27:54 2020 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Wed Mar 18 00:42:10 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4072fa36
dev-util/ydiff: New package, successor to dev-util/cdiff
Bug: https://bugs.gentoo.org/710538
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-2.3.92, Repoman-2.3.20
dev-util/ydiff/Manifest | 1 +
dev-util/ydiff/metadata.xml | 12 ++++++++++++
dev-util/ydiff/ydiff-1.1.ebuild | 30 ++++++++++++++++++++++++++++++
3 files changed, 43 insertions(+)
diff --git a/dev-util/ydiff/Manifest b/dev-util/ydiff/Manifest
new file mode 100644
index 00000000000..3a7963024d4
--- /dev/null
+++ b/dev-util/ydiff/Manifest
@@ -0,0 +1 @@
+DIST ydiff-1.1.tar.gz 36357 BLAKE2B 4465c85132bb7c7d58c13dd79903610c74edec3b2b8ab8980918a1bf3a98f2b8387872a0974743503fcaad1e7ecb24c21d312a13d9aabe94780e9d623c35175a SHA512 575b3327edd3b8796f5f150fc7ebde32561e1782582e03e9b63bf9010998913fb8b00a8245d799f6cd5599e286f07f9e97e160f23606323d1a6f6059faa59bc9
diff --git a/dev-util/ydiff/metadata.xml b/dev-util/ydiff/metadata.xml
new file mode 100644
index 00000000000..a42be58d1e7
--- /dev/null
+++ b/dev-util/ydiff/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>sping@gentoo.org</email>
+ <name>Sebastian Pipping</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">ydiff</remote-id>
+ <remote-id type="github">ymattw/ydiff</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-util/ydiff/ydiff-1.1.ebuild b/dev-util/ydiff/ydiff-1.1.ebuild
new file mode 100644
index 00000000000..d3dfb7dd60a
--- /dev/null
+++ b/dev-util/ydiff/ydiff-1.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1
+
+DESCRIPTION="Colored, side-by-side diff terminal viewer (ex. cdiff)"
+HOMEPAGE="https://github.com/ymattw/ydiff"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+DEPEND="sys-apps/less"
+RDEPEND=""
+
+DOCS=( CHANGES.rst README.rst )
+
+RESTRICT="test"
+
+python_test() {
+ ${PYTHON} tests/test_ydiff.py || die "Unit tests failed."
+
+ ./tests/regression.sh || die "Regression tests failed."
+}
next reply other threads:[~2020-03-18 0:42 UTC|newest]
Thread overview: 16+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-03-18 0:42 Sebastian Pipping [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-06-04 6:35 [gentoo-commits] repo/gentoo:master commit in: dev-util/ydiff/ Agostino Sarubbo
2020-08-09 23:00 Sebastian Pipping
2020-12-08 19:04 Sebastian Pipping
2020-12-10 21:41 Thomas Deutschmann
2020-12-15 6:44 Sam James
2020-12-15 6:44 Sam James
2020-12-15 17:48 Sebastian Pipping
2021-10-22 17:21 Arthur Zamarin
2022-11-29 0:43 Sebastian Pipping
2023-04-20 5:01 Sam James
2023-05-20 7:33 Michał Górny
2023-11-07 0:07 Sebastian Pipping
2024-05-28 17:01 Sam James
2024-06-08 22:28 Sebastian Pipping
2024-10-09 15:27 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1584492130.4072fa366a599b2cf3267d0bbcdceb63df1a228e.sping@gentoo \
--to=sping@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox